Add a new key manager
Creates a new key manager, adding a secure resource for encryption key management. Use this to configure encryption services in your environment.
HTTP method and endpoint
POST /occm/encryption/key-managers
Usage notes
Adds a new key manager.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
address |
string |
False |
|
name |
string |
False |
|
usernameField |
False |
||
usernameValue |
False |
Example request
{
"address": "string",
"name": "string",
"usernameField": {
"_1": "string"
},
"usernameValue": {
"_1": "string"
}
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
address |
string |
False |
|
name |
string |
False |
|
publicId |
string |
False |
|
status |
string |
False |
|
usernameField |
string |
False |
|
usernameValue |
string |
False |
Example error response
{
"address": "string",
"name": "string",
"publicId": "string",
"status": "string",
"usernameField": "string",
"usernameValue": "string"
}
Definitions
See Definitions
NonEmptyOptionalString
| Name | Type | Required | Description |
|---|---|---|---|
_1 |
string |
False |